VMTKMESHARRAYOPERATION(1)

NAME
vmtkmesharrayoperation - vmtk script vmtkmesharrayoperation

DESCRIPTION
Automatic piping vmtkmesharrayoperation Parsing options vmtkmesharrayoperation

vmtkmesharrayoperation : perform an operation between arrays of two

    meshes and store result in the first mesh

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-i2 Mesh2 (vtkUnstructuredGrid,1): the second input mesh

-i2file Mesh2InputFileName (str,1): filename for the default Mesh2

    reader

-operation Operation (str,1) in ['multiplybyc', 'addc', 'add',

    'subtract', 'min', 'max']; default=add: the operation to be performed on the array; multiplybyc and addc only require the first input mesh to be specified

-constant Constant (float,1); default=0.0: the value of the

    constant for multiplybyc and addc

-iarray InputArrayName (str,1); default=None: the name of the array

    on the first mesh

-i2array Input2ArrayName (str,1); default=None: the name of the

    array on the second mesh; if unspecified, InputArrayName is used

-resultarray ResultArrayName (str,1); default=Result: the name of

    the array where the result of the operation is stored

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh